Subject: Re: ArmLinux on an A5000 8MB

From: Rob Davis <[email-masked]>
Date: Thu, 16 Sep 1999 18:29:01 +0100

Chris Rutter wrote:
> 
> On Wed, 15 Sep 1999, Rob Davis wrote:
> 
> > I'm having difficulty installing Linux on my A5000.  I have a copy of the FTP
> 
> > site on CD R/W that I've mounted on the Linux box... However, the A5000
> > installer doesn't want to mount the CD-rom by NFS (says permission denied)...
> 
> > It does however work with Omniclient.
> 
> Standard NFS problems.  What directory have you put the CD-ROM in?
> Paste your /etc/exports file so we can see if there might be
> an obvious glitch.  Oh, and never trust OmniGrot.

It needs to be able to write to the disk for some reason???  I've copied it
into /temp (well at least RedHat/RPMS, RedHat/Base and RedHat/instimage and
it goes through the install process now, but NFS dies after about the fifth
file... I have a RedHat 5.2 box too, so I'll try it from that..
> 
> > I've tried the long laborious copying over and installing off the hard drive
> > method, but that gets stuck half way through by saying Rebooting System and
> > freezing.
> 
> What Ethernet cards (if any) do you have in this machine?  Freezes
> on attempting rebooting is very common with ARM Linux -- just hit
> the power switch.
> 
> > What install and supplemental disks should I be using?  The kernel I have is
> > 2.0.31, I have an Ether 3 ethernet card.  The Intel Box is RedHat 6.0.  Any
> > ideas?
> 
> Oh, you have an Ether3.  A podule version, I guess?  Try using
> the latest kernel/root you can find -- but *make* sure they match
> in date.  I would advise you to do a complete install over NFS,
> so that the supplemental disk is read from a directory mounted
> from the PC.
> 
> Oh, and how much HD space have you got on this A5000?  You might
> want to consider trying root-over-NFS.

This is the only Kernel I could find, and there is only one bootdisk for this
machine obviously available... I don't think any of the supplement disks work
with it.. :-(

I have 370MB for the root tree... Actually, I only want to use it to NFS
export the ADFS partition and to work as an X Server, so I've probably got
enough... If I get stuck I'll stick /usr on an NFS partition later...

Thanks... I've got a feeling the swap space is not configuring properley, it
says it can't find the swap space signature or something?  Any ideas?

-- 
Rob Davis,  at home, on the Linux Box...

Apparently, Windows 2000 has been delayed.  It will
now ship around September 1901.
unsubscribe: body of `unsubscribe linux-arm' to [email-masked]